#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {
  registerValidation(argc, argv);

  int n = inf.readInt(1, 100, "N");
  inf.readSpace();
  int E = inf.readInt(2, 26, "E");
  inf.readEoln();
  string pattern = string("[a-") + static_cast<char>('a' + E - 1) + "]{1,10}";
  for (int i = 1; i <= n; i++) {
    string name = string("key_") + to_string(i + 1);
    string key = inf.readString(pattern, name);
  }
  inf.readEof();
}
